<h2>Create or Edit custom Logic Hooks</h2>
<form action='index.php' method='post'>
<input name='module' value='Administration' type='hidden'>
<input name='action' value='editLogicHooks' type='hidden'>
<?php
	global $app_list_strings, $moduleList;

	$postfix = "_mjvn";
	$params = array('hook_module','hook_name','new_hook_name','contents','hook_type','filename',
			'hook_method','class_name');
	foreach ($params as $key) {
		if(isset($_REQUEST[$key])) {
			$$key = $_REQUEST[$key];
		}
	}
	if (isset($hook_module) && $hook_module == 'All')
		$hook_module = '';
	$hooks = array('after_retrieve','process_record','before_delete','after_delete','before_restore',
			'after_restore', 'before_save','after_save');

	if ( empty($hook_name) || ($hook_name=='New:' && empty($new_hook_name)) )
	{
		// Get a list of existing hooks created by the utility
		echo "<h3>Select an existing logic hook or specify the module and name for new logic hook:</h3>\n";
		$existing = array('New:');
		$pattern = "custom/modules/*/*$postfix.php";
		$tmp = glob($pattern);
		foreach ($tmp as $key => $file)
			$existing[] = basename(dirname($file)) . '-' . str_replace("$postfix.php","",basename($file));
		$pattern = "custom/modules/*$postfix.php";
		$tmp = glob($pattern);
		foreach ($tmp as $key => $file)
			$existing[] = 'All-' . str_replace("$postfix.php","",basename($file));

		if (count($existing)>0)
		{
			echo "Select logic hook: ";
			echo "<select name='hook_name'>\n";
			foreach ($existing as $hook_name)
				echo "\t<option value='$hook_name'>$hook_name</option>\n";
			echo "</select>\n";
		}

		echo "<br><br>\nType: ";
		echo "<select name='hook_type'>\n";
		foreach ($hooks as $key => $value)
			echo "\t<option value='$value'>$value</option>\n";
		echo "</select>\n";

		echo "Module: ";
		echo "<select name='hook_module'>\n";
		$moduleList['All'] = 'All';
		sort($moduleList);
		foreach ($moduleList as $key => $value)
			echo "\t<option value='$value'>$value</option>\n";
		echo "</select>\n";

		echo "Name: <input name='new_hook_name' size=15>\n";
		echo "<br><br>\n<input type='submit' value='Proceed >>'>\n";
	}
	elseif (empty($filename))
	{
		if ($hook_name == 'New:')
		{

			$hook_name = preg_replace('/[^a-zA-Z]/i','_',$new_hook_name);
			$filename = "custom/modules/$hook_module/$hook_name-$hook_type$postfix.php";
			$hook_method = $hook_name . "_method";
			$class_name = $hook_name . "_class";
		}
		else
		{
			$tmp = split('-',$hook_name);
			$hook_module = $tmp[0];
			$hook_name = $tmp[1];
			$class_name = $tmp[1] . "_class";
			$hook_type = $tmp[2];
			$filename = "custom/modules/$hook_module/$hook_name-$hook_type$postfix.php";
			$hook_method = $hook_name . "_method";
		}
		echo "<input type='hidden' name='filename' value='$filename'>\n";
		echo "<input type='hidden' name='class_name' value='$class_name'>\n";
		echo "<input type='hidden' name='hook_name' value='$hook_name'>\n";
		echo "<input type='hidden' name='hook_type' value='$hook_type'>\n";
		echo "<input type='hidden' name='hook_module' value='$hook_module'>\n";
		echo "<input type='hidden' name='hook_method' value='$hook_method'>\n";

		echo "<h3>Editing method $hook_method in class $class_name for $hook_module $hook_type</h3>\n";
		if (file_exists($filename))
			$contents = file_get_contents($filename);
		else
			$contents = "
<?php
class $class_name
{
	function $hook_method(&\$bean, \$event, \$arguments=null)
	{
		if (\$event != '$hook_type') return;
		// Insert your custom logic between these comments

		// Insert your custom logic between these comments
	}
}
?>";

		echo "<textarea rows='25' cols='80' name='contents'>$contents</textarea>\n";
		echo "<br>\n<input type='submit' value='Proceed >>'>\n";
	}
	else
	{
		// Now we need to create the logic hook file
		mkdir_recursive(dirname($filename));
		file_put_contents($filename,html_entity_decode($contents,ENT_QUOTES));
		echo "<br>Created logic hook file $filename.<br>\n";

		$url = "index.php?module=Administration&action=editLogicHooks&hook_name=$hook_module-$hook_name-$hook_type&hook_type=$hook_type";
		echo "We will now include the file to check for fatal errors.<br>\n";
		echo "If you see fatal errors you can <a href='$url'>go back</a> to fix them.\n<hr>";

		require "$filename";

		// If we get here then there were no fatal errors
		echo "<br><hr>\nNo fatal errors found - installing the custom logic...<br>\n";
		require_once('include/utils.php');
		check_logic_hook_file($hook_module, $hook_type,
			array(1, $hook_name, $filename, $class_name, $hook_method));

		echo "Done!";
	}
?>
</form>
<hr>
<center>
If you find this utility useful please consider making a small donation to the author.
<br>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_new">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="3932188">
<input type="image" src="https://www.paypal.com/en_GB/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="Donate">
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
</center>
